<template>
    <div class="boxed">
        <div class="box-wrapper">
            <BoxedTitle :quiz="quiz" v-if="currentQuestionIndex === 0" />

            <ProgressBar
                :progress="(currentQuestionIndex * 100) / quiz.questions.length"
                v-if="currentQuestionIndex > 0"
            />

            <BoxedQuizContent
                :quiz="quiz"
                :currentQuestionIndex="currentQuestionIndex"
                :backToPreviousQuestion="backToPreviousQuestion"
                :selectOption="selectOption"
                v-if="currentQuestionIndex < quiz.questions.length"
            />

            <BoxedEndForm
                :quiz="quiz"
                :currentQuestionIndex="currentQuestionIndex"
                v-if="currentQuestionIndex === quiz.questions.length"
            />

            <div class="footer-wrapper">
                <NuxtImg src="images/logo.png" width="100" />
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { useBoxedQuiz } from "./useBoxedQuiz";
import type { Quiz } from "@/types/Quiz/Quiz";

const props = defineProps({
    quiz: {
        type: Object as () => Quiz,
        required: true,
    },
});

const { currentQuestionIndex, selectOption, backToPreviousQuestion } = useBoxedQuiz(
    props.quiz
);
</script>

<style lang="scss" scoped>
.boxed {
    display: flex;
    justify-content: center;
    align-items: center;

    .box-wrapper {
        width: 600px;
        margin: 1rem;
        background-color: #fff;
        border-radius: 16px;
        padding: 1.5rem 3rem 1.5rem;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.06), 0 4px 6px rgba(161, 110, 110, 0.1);

        .footer-wrapper {
            margin-top: 10px;
            display: flex;
            justify-content: center;
        }
    }
}
</style>
